Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface ExternalLinkType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  ExternalLinkTypeImpl

    public interface ExternalLinkType

extends RegistryObjectType

A representation of the model object 'External Link Type'. ExternalLink is the mapping of the same named interface in ebRIM. It extends RegistryObject.

The following features are supported:

- `External URI`

See Also:
  `RimPackage.getExternalLinkType()`

Method Summary
`java.lang.String` | `getExternalURI()` Returns the value of the 'External URI' attribute.
`void` | `setExternalURI(java.lang.String value)` Sets the value of the '`External URI`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getExternalURI

    java.lang.String getExternalURI()

  Returns the value of the 'External URI' attribute.

  If the meaning of the 'External URI' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External URI' attribute.
  See Also:
    `setExternalURI(String)`, `RimPackage.getExternalLinkType_ExternalURI()`

### setExternalURI

    void setExternalURI(java.lang.String value)

  Sets the value of the '`External URI`' attribute.

  Parameters:
    `value` - the new value of the 'External URI' attribute.
  See Also:
    `getExternalURI()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD